# broker

Selects the Kafka broker(s) imkafka connects to when consuming messages.

This parameter applies to imkafka: read from Apache Kafka.

Name:

  broker

Scope:

  input

Type:

  array

Default:

  input=``localhost:9092``

Required?:

  no

Introduced:

  8.27.0

## Description

Specifies the broker or brokers to use. Provide a single Kafka address or a list of bootstrap servers for a cluster.

## Input usage

    module(load="imkafka")
    input(type="imkafka"
          topic="your-topic"
          broker=["localhost:9092", "localhost:9093"])

## See also

See also imkafka: read from Apache Kafka.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.